package de.fraunhofer.iem.dataprovider.kpi.dto

import de.fraunhofer.iem.dataprovider.kpi.entity.KPIEntity
import de.fraunhofer.iem.dataprovider.kpi.enumeration.KpiKind
import de.fraunhofer.iem.dataprovider.repository.entity.RepositoryEntity
import java.sql.Timestamp
import java.time.Instant

data class RawValueKpiCreateDto(val kind: KpiKind, val score: Int) {
    fun toDbObject(repository: RepositoryEntity): KPIEntity {
        return KPIEntity(
            kind = this.kind,
            score = this.score,
            timestamp = Timestamp.from(Instant.now()),
            repository = repository
        )
    }
}
